Frequently Asked Questions

Ich kann mich mit PHP 5.4 nicht zur Datenbank verbinden

Sollte die Verbindung zur Datenbank nicht funktionieren, nachdem Sie als PHP Version 5.4 gewählt haben, prüfen Sie bitte ob Sie alle Zugangsdaten korrekt in Ihrem Skript eingetragen haben.

 

Bei Kunden, die von den alten ready2host Systemen umgezogen wurden, kann es sein, dass die MySQL Passworte noch im alten Format gespeichert sind.

Dieses wird aus Sicherheitsgründen nicht mehr von PHP 5.4 akzeptiert. PHP liefert dazu diese (oder eine ähnliche) Warnmeldung:

mysql_connect(): mysqlnd cannot connect to MySQL 4.1+ using the old insecure authentication. Please use an administration tool to reset your password

 

Bitte ändern Sie in diesem Fall das Passwort Ihres Datenbankbenutzers über unsere Verwaltungsoberfläche.

Sollte auch dies keinen Erfolg bringen, erstellen Sie bitte einen neuen Datenbankbenutzer und wählen Sie diesen dann bei den Einstellungen Ihrer Datenbank als neuen Benutzer aus.

Dieses Vorgehen soll das Passwort aktualisieren und so im neuen Format speichern, so dass PHP 5.4 eine Verbindung herstellen kann.


 Letzte Änderung Mon, 12. Aug 2013 00:00

Bitte Warten!

Bitte warten... es dauert nur eine Sekunde!